Macaulay2 » Documentation
Packages » Macaulay2Doc » The Macaulay2 language » system facilities » top level loop » topLevelMode » AfterNoPrint
next | previous | forward | backward | up | index | toc

# AfterNoPrint -- top level method applied after not printing

- Usage:
    `X#{topLevelMode,AfterNoPrint} = f`
- Inputs:
  - f, a function to be applied after not printing a top-level evaluation result r of type X.
- Consequences:
  - The function f will be applied at top level to the result of an evaluation when printing of the result has been suppressed by a semicolon.

## For the programmer

The object AfterNoPrint is a symbol.

The source of this document is in /build/macaulay2-88fgJW/macaulay2-1.25.11+ds/M2/Macaulay2/packages/Macaulay2Doc/ov_repl.m2:386:0.